### Class

# Gimp BatchProcedure

#### Description [src]

    final class Gimp.BatchProcedure : Gimp.Procedure
    {
      /* No available fields */
    }

Batch procedures implement an interpreter able to run commands as input.

In particular, batch procedures will be available on the command line through the `--batch-interpreter` option to switch the chosen interpreter. Then any command given through the `--batch` option will have to be in the chosen language.

It makes GIMP usable on the command line, but also to process small scripts (without making full-featured plug-ins), fully in command line without graphical interface.

#### Ancestors

- GimpProcedure
- GObject

#### Constructors

###### gimp_batch_procedure_new

Creates a new batch interpreter procedure named `name` which will call `run_func` when invoked.

since: 3.0

#### Instance methods

###### gimp_batch_procedure_get_interpreter_name

Returns the procedure’s interpreter name, as set with `gimp_batch_procedure_set_interpreter_name()`.

since: 3.0

###### gimp_batch_procedure_set_interpreter_name

Associates an interpreter name with a batch procedure.

since: 3.0

##### Methods inherited from GimpProcedure (152)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpBatchProcedureClass {
      GimpProcedureClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpProcedureClass`

  No description available.